twitter4j

## Interface Trends

All Superinterfaces:
  Comparable<Trends>, Serializable, TwitterResponse

    public interface Trends
    extends TwitterResponse, Comparable<Trends>, Serializable

A data class representing Trends.

Since:
  Twitter4J 2.0.2
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`Date` `getAsOf()`
`Location` `getLocation()` Returns the location associated with the trends. This method is effective only with getLocalTrends() method. i.e.
`Date` `getTrendAt()`
`Trend[]` `getTrends()`

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel, getRateLimitStatus`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### getTrends

    Trend[] getTrends()

#### getLocation

    Location getLocation()

Returns the location associated with the trends.
This method is effective only with getLocalTrends() method.
i.e. The return value of this method will be null with Search API Methods (getTrends(), getCurrentTrends(), getDailyTrends(), and getWeeklyTrends()).

Returns:
  location
Since:
  Twitter4J 2.1.1

#### getAsOf

    Date getAsOf()

#### getTrendAt

    Date getTrendAt()